FUSE_SET_SIGNAL_HANDLERS(3)

NAME
fuse_set_signal_handlers, fuse_remove_signal_handlers - install and remove FUSE signal handlers

SYNOPSIS
libfuse
#include <fuse.h>
int
fuse_set_signal_handlers(struct fuse_session *se);
void
fuse_remove_signal_handlers(struct fuse_session *se);

DESCRIPTION
fuse_set_signal_handlers() installs signal handlers for the signals SIGHUP, SIGINT, and SIGTERM that will attempt to unmount the file system. SIGPIPE will be ignored. If there is already a signal handler installed for any of these signals then it is not replaced.

fuse_remove_signal_handlers() restores the default signal handlers for any signals that were installed by fuse_set_signal_handlers().

RETURN VALUES
fuse_set_signal_handlers() returns 0 on success or -1 on failure.

SEE ALSO
sigaction(2), fuse_setup(3)

STANDARDS
The fuse_set_signal_handlers() and fuse_remove_signal_handlers() functions conform to FUSE 2.6.

HISTORY
The fuse_set_signal_handlers() and fuse_remove_signal_handlers() functions first appeared in OpenBSD 5.4.

AUTHORS
Helg Bredow <helg@openbsd.org>